Bug 211069 - %configure kills config.sub
%configure kills config.sub
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Masters
bzcl34nup
:
Depends On: 234778
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-17 00:26 EDT by Ralf Corsepius
Modified: 2008-05-23 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 18:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rebuild this rpm to reproduce this bug (73.62 KB, application/x-redhat-package-manager)
2006-10-17 00:26 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2006-10-17 00:26:24 EDT
Description of problem:

%configure recursively removes config.sub.

This is a mistake. Config.sub is only being used for cross-compilation and is
supposed to be customisable by packages.

redhat-rpm-config kills such customisations upstream might have applied, which
can render such packages unbuildable.
=> %configure MUST NOT remove config.sub.

Example:
rpmbuild -ba test.spec
...
++ find . -name config.guess -o -name config.sub
+ for i in '$(find . -name config.guess -o -name config.sub)'
++ basename ./config.sub
+ '[' -f /usr/lib/rpm/redhat/config.sub ']'
+ /bin/rm -f ./config.sub
++ basename ./config.sub
+ /bin/cp -fv /usr/lib/rpm/redhat/config.sub ./config.sub
`/usr/lib/rpm/redhat/config.sub' -> `./config.sub'
..
+ ./configure --build=i686-redhat-linux-gnu --host=i686-redhat-linux-gnu
--target=i386-redhat-linux-gnu --program-prefix= --prefix=/usr
--exec-prefix=/usr --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir =/usr/include --libdir=/usr/lib
--libexecdir=/usr/libexec --localstatedir=/var --sharedstatedir=/usr/com
--mandir=/usr/sha re/man --infodir=/usr/share/info --host=nios2-rtems4.8
--target=nios2-rtems4.8
...
checking host system type... Invalid configuration `nios2-rtems4.8': machine
`nios2' not recognized
configure: error: /bin/sh ./config.sub nios2-rtems4.8 failed
error: Bad exit status from /var/tmp/rpm-tmp.13746 (%build)


Version-Release number of selected component (if applicable):
redhat-rpm-config-8.0.40-1

How reproducible:
Deterministic.

Steps to Reproduce:
1. rebuild the rpm from the attachment
 
Actual results:
c.f. above.

Expected results:
%configure not to touch config.sub

Additional info:
=> packages to be cross compiled have to resort to NOT using %configure
Comment 1 Ralf Corsepius 2006-10-17 00:26:24 EDT
Created attachment 138654 [details]
rebuild this rpm to reproduce this bug
Comment 2 Jon Masters 2007-08-20 02:31:46 EDT
Thanks. I will add this to the TODO.

Jon.
Comment 3 Bug Zapper 2008-04-04 00:00:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Ralf Corsepius 2008-04-04 01:22:34 EDT
bug has been ignored ever since and is still present in fc8
Comment 5 Jon Masters 2008-04-04 11:18:42 EDT
Actually, it hasn't been ignored per se. I just prioritized other fixes over
this one because this bug only only affects those using their own config.sub. Do
you have a preferred way to fix this? i.e. we should ship a config.sub, or do
you think we should not be shipping one in redhat-rpm-config?

Jon.
Comment 6 Jon Masters 2008-04-04 11:30:27 EDT
Thanks for refiling against fc8 too :)
Comment 7 Ralf Corsepius 2008-04-08 07:30:40 EDT
(In reply to comment #5)
> Actually, it hasn't been ignored per se. I just prioritized other fixes over
> this one because this bug only only affects those using their own config.sub. Do
> you have a preferred way to fix this? i.e. we should ship a config.sub, or do
> you think we should not be shipping one in redhat-rpm-config?

Neither. The problem is this crazy rpm-macro which automatically replaces
config.sub. rpmbuild simply should not touch config.subs at all.



Comment 8 Anthony Green 2008-05-05 16:47:43 EDT
This one is a problem for me as well.  I was trying to create RPMs for ggx cross
tools, but ggx isn't in any upstream config.sub yet so this is impossible
(without touching redhat-rpm-config's installed files).

Please fix this.  I don't believe there's any reason to stomp on a package's
config.sub.
Comment 9 Jon Masters 2008-05-06 18:29:43 EDT
I can't see a good reason to stomp on either config.stub or config.guess, so
I've removed both. We'll see who complains :)
Comment 10 Robert Scheck 2008-05-23 16:15:05 EDT
Sorry, I heavily dislike this change. This breaks for example libnids from my
packages...
Comment 11 Jon Masters 2008-05-23 16:41:54 EDT
Well, we can't have it both ways. Is there any problem with keeping a copy of
config.sub in your package?

Note You need to log in before you can comment on or make changes to this bug.